Pie Menu Editor 1.15.9

add-ons
commercial

(roaoao) #1683

Pie Menu Editor 1.15.7 fix 3


Fix for the latest Blender 2.8 builds

Extract the files to scripts/addons/pie_menu_editor folder and restart Blender.


(Canapy) #1684

It works fine thanks a lot !


(Odec3D) #1685

roaoao, thanks for your addon and your support. Many things in 2.8 cannot be added yet (it gives an error “can’t add this widget”) when right clicking on something (for exemple autosmooth option)

I presume that this has yet to be worked on, but is there a workaround to that ?

Thanks


(roaoao) #1686

Yes, some features don’t work in 2.8.
I’m going to fix them for Blender 2.8 Beta.


(psychoboy852) #1687

Yea, same thing for me. Tried to customize 2.8 pie menus and get “can’t add this widget”. The addon looks very nice and promising tho. Will wait for your update @roaoao Thanks


(blend rend) #1689

@roaoao
Can you integrate this?


(roaoao) #1690

Looks like Blender 2.8 Beta is out.
Will release the fixes asap.


(roaoao) #1691

Not sure yet. I’m still new in Blender 2.8.


(blend rend) #1692

and in 2.79?


(roaoao) #1693

Yes, it’s possible. But I don’t want to add a feature that will be supported only in 2.79 version.


(blend rend) #1694

I understand that, but 2.80 is far from finished.


#1695

The code for that mentioned plugin(Menu Pinning) would need a big revamp, it stopped working a couple releases ago.
Since it is abandoned for over 4 years by now, it is probably safe to post the plugin here.

Edit: I used it a lot before jumping to the Pie Menu Editor.


(roaoao) #1696

Pie Menu Editor 1.15.8


What’s New:

  • Blender 2.8 Beta Support
  • Bug Fixes

How to Update:

  • Backup your pie menus using Export button (optional).
  • Open User Preferences (ctrl+alt+U).
  • Go to the Add-Ons tab.
  • Click Install Add-on from File button, navigate to the file you downloaded and install it.
  • Restart Blender.

(roaoao) #1697

This should be fixed in latest Blender build.


(Jer Bot) #1698

Not sure when it happened, but somewhere along the way the modals I set up are all now broken in 2.79. When I select the option it appears that it goes into the modal mode… but moving the mouse no longer changes the values (using it for skinning tools).

my_pie_menus_pre1.15.7.json (10.9 KB)

Also, I just tried to import my pies into 2.8 and everything seems to be good… except the modals, which produce the following error:

Traceback (most recent call last):
  File "/home/jerbot/.config/blender/2.80/scripts/addons/pie_menu_editor/operators.py", line 1060, in modal
    self.do_confirm()
  File "/home/jerbot/.config/blender/2.80/scripts/addons/pie_menu_editor/operators.py", line 921, in do_confirm
    self.stop()
  File "/home/jerbot/.config/blender/2.80/scripts/addons/pie_menu_editor/operators.py", line 911, in stop
    bpy.context.area.header_text_set()
TypeError: Area.header_text_set(): required parameter "text" not specified

location: <unknown location>:-1

As usual, I appreciate this tool and your incredible support. Looking forward to seeing a stable version of this for 2.8 as it’s helping me wrap my head around how Blender’s UI works under the hood… preparing me for my own UI building plans. :slight_smile:


(psychoboy852) #1699

Thank you! Everything is working as expected so far :+1:


(anphung) #1700

I haven’t played with the new version yet, but can we make custom Popover yet?


(MmAaXx) #1701

thanks for the update!


(saunam) #1702

Hi roaoao,

I am working for long with your addon and also with a propietary addon by the company I am working for. Also, to make it clear from the beginning, this all happened in 2.79b.

In the last couple of projects, at some point I can’t determine, the propietary addon panels disappeared from the properties interface. I remember at the beginning of the project I used PME to use this panels in the toolself but later I discarded it. And it was some time after that when I discovered the panels had disappear, so I am not sure it is related.

So I tried installing former PME versions, because when I reinstalled the last one (1.15.7) I got a message in the info editor saying something like “this addon is for 2.80 and may not work”. Specifically I tried 1.15.5 and 1.15.6, which I keep for just in case, but still can’t see the panels. Also important, I just can’t see the propietary addon panels in the project’s blend files, but actually if I open a new blend file, they are completely visible.

I am attaching a couple of screenshots with error messages that I got when trying to install or enable some of the versions. Sorry, I don’t remember exactly when they appeared but I hope they can help.

Thanks!


(roaoao) #1703

Which modal is broken? Levels modal works for me.

Thanks, will upload quick fix today.